Bug 33767 - Accessibility: The 'OPAC results' page contains semantically incorrect headings
Summary: Accessibility: The 'OPAC results' page contains semantically incorrect headings
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Matt Blenkinsop
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks: 25150
  Show dependency treegraph
 
Reported: 2023-05-18 13:52 UTC by Matt Blenkinsop
Modified: 2023-06-08 16:58 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
23.05.00,22.11.07


Attachments
Bug 33767: Fix incorrect heading in page-numbers.inc (1.28 KB, patch)
2023-05-18 13:58 UTC, Matt Blenkinsop
Details | Diff | Splinter Review
Bug 33767: Fix incorrect heading in page-numbers.inc (1.31 KB, patch)
2023-05-18 14:26 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 33767: Fix incorrect heading in page-numbers.inc (1.41 KB, patch)
2023-05-19 09:21 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Matt Blenkinsop 2023-05-18 13:52:52 UTC
The OPAC results page contains an illogical skip from an H2 to H6 through the injection of page-numbers.inc. This can be replaced with a span with a class of h6 to maintain formatting.
Comment 1 Matt Blenkinsop 2023-05-18 13:58:05 UTC
Created attachment 151419 [details] [review]
Bug 33767: Fix incorrect heading in page-numbers.inc

This patch replaces an h6 with a span to avoid a jump from h2 to h6.
Comment 2 Owen Leonard 2023-05-18 14:26:24 UTC
Created attachment 151420 [details] [review]
Bug 33767: Fix incorrect heading in page-numbers.inc

This patch replaces an h6 with a span to avoid a jump from h2 to h6.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Marcel de Rooy 2023-05-19 09:21:13 UTC
Created attachment 151463 [details] [review]
Bug 33767: Fix incorrect heading in page-numbers.inc

This patch replaces an h6 with a span to avoid a jump from h2 to h6.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Tomás Cohen Arazi 2023-05-19 12:21:23 UTC
Pushed to master for 23.05.

Nice work everyone, thanks!
Comment 5 Matt Blenkinsop 2023-06-08 16:58:27 UTC
Nice work everyone!

Pushed to stable for 22.11.x